#include <bits/stdc++.h>
using namespace std;

string rez;

int main()
{
    string a, b, c;

    cin >> a >> b >> c;

    if (a <= b)
    {
        if (c <= a)
        {
            rez += b;
            rez += a;
            rez += c;
        }
        else if (c >= b)
        {
            rez += c;
            rez += b;
            rez += a;
        }
        else
        {
            rez += b;
            rez += c;
            rez += a;
        }
    }
    else if (b >= a)
    {
        if (c >= b)
        {
            rez += c;
            rez += b;
            rez += a;
        }
        else if (c <= a)
        {
            rez += b;
            rez += a;
            rez += c;
        }
        else
        {
            rez += b;
            rez += c;
            rez += a;
        }
    }

    cout << rez << endl;

    return 0;
}